---
updatedAt: 2026-06-03T12:16:05.000Z
agentTools:
  projectIndex: https://docs.asaas.com/llms.txt
---

# Get digitable bill line

Endpoint responsible for retrieving the digitable line of a charge with boleto enabled.

The digitable line is the numeric representation of the barcode and can be used by the payer to make the payment directly through internet banking or other compatible channels.

***

## Supported charges

The digitable line can be retrieved for charges with:

* `BOLETO`
* `UNDEFINED`, when boleto is available as a payment method

***

## Request parameter

* `id` — Unique identifier of the charge in Asaas

***

## Charge updates and impact on the digitable line

Whenever the charge is updated, the digitable line may also change.

For this reason, integrations that display or store this information must retrieve it again after any relevant change to the charge, ensuring that the information presented to the payer remains valid.

***

> 🚧 Attention
>
> GET requests must be sent with an empty body.
>
> Otherwise, the API may return a 403 Forbidden error.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Asaas",
    "description": "API pública de integração com a plataforma Asaas.",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api-sandbox.asaas.com",
      "description": "Sandbox"
    }
  ],
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "Payment"
    }
  ],
  "paths": {
    "/v3/payments/{id}/identificationField": {
      "get": {
        "tags": [
          "Payment"
        ],
        "summary": "Get digitable bill line",
        "description": "",
        "operationId": "get-digitable-bill-line",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Unique payment identifier in Asaas",
            "required": true,
            "schema": {
              "type": "string",
              "example": null
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Ok",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaymentIdentificationFieldResponseDTO"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseDTO"
                },
                "example": {
                  "errors": [
                    {
                      "code": "error_code",
                      "description": "Error description"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseDTO"
                },
                "example": {
                  "errors": [
                    {
                      "code": "invalid_access_token",
                      "description": "A chave de API fornecida é inválida"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Forbidden. Occurs when the request body is filled, GET method calls must have an empty body."
          },
          "404": {
            "description": "Not found"
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponseDTO": {
        "type": "object",
        "properties": {
          "errors": {
            "type": "array",
            "description": "List of objects",
            "deprecated": false,
            "items": {
              "$ref": "#/components/schemas/ErrorResponseItemDTO"
            }
          }
        }
      },
      "ErrorResponseItemDTO": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "deprecated": false,
            "example": null
          },
          "description": {
            "type": "string",
            "description": "Error description",
            "deprecated": false,
            "example": null
          }
        },
        "description": "List of objects",
        "deprecated": false
      },
      "PaymentIdentificationFieldResponseDTO": {
        "type": "object",
        "properties": {
          "identificationField": {
            "type": "string",
            "description": "Digitable bill line",
            "example": "00190000090275928800021932978170187890000005000",
            "deprecated": false
          },
          "nossoNumero": {
            "type": "string",
            "description": "Unique identification of the bank slip",
            "example": "6543",
            "deprecated": false
          },
          "barCode": {
            "type": "string",
            "description": "Bank slip bar code",
            "example": "00191878900000050000000002759288002193297817",
            "deprecated": false
          }
        }
      }
    },
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "name": "access_token",
        "in": "header"
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "User-Agent",
        "value": "NomeDaSuaAplicacao/1.0.0"
      }
    ]
  }
}
```

# Sibling pages

* [Create new payment](https://docs.asaas.com/reference/create-new-payment.md)
* [List payments](https://docs.asaas.com/reference/list-payments.md)
* [Create new payment with credit card](https://docs.asaas.com/reference/create-new-payment-with-credit-card.md)
* [Capture payment with Pre-Authorization](https://docs.asaas.com/reference/capture-payment-with-pre-authorization.md)
* [Pay a charge with a credit card](https://docs.asaas.com/reference/pay-a-charge-with-credit-card.md)
* [Retrieve payment billing information](https://docs.asaas.com/reference/retrieve-payment-billing-information.md)
* [Payment viewing information](https://docs.asaas.com/reference/payment-viewing-information.md)
* [Retrieve a single payment](https://docs.asaas.com/reference/retrieve-a-single-payment.md)
* [Update existing payment](https://docs.asaas.com/reference/update-existing-payment.md)
* [Delete payment](https://docs.asaas.com/reference/delete-payment.md)
* [Restore removed payment](https://docs.asaas.com/reference/restore-removed-payment.md)
* [Retrieve status of a payment](https://docs.asaas.com/reference/retrieve-status-of-a-payment.md)
* [Refund payment](https://docs.asaas.com/reference/refund-payment.md)
* [Get QR Code for Pix payments](https://docs.asaas.com/reference/get-qr-code-for-pix-payments.md)
* [Confirm cash receipt](https://docs.asaas.com/reference/confirm-cash-receipt.md)
* [Undo cash receipt confirmation](https://docs.asaas.com/reference/undo-cash-receipt-confirmation.md)
* [Sales simulator](https://docs.asaas.com/reference/sales-simulator.md)
* [Recovering payment limits](https://docs.asaas.com/reference/recovering-payment-limits.md)
* [Pay a charge with a card](https://docs.asaas.com/reference/pay-a-charge-with-card.md)